#
# spec file for package virt-what
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           virt-what
Version:        1.25
Release:        1.6
Summary:        Detect if running in a virtual machine
License:        GPL-2.0-or-later
Group:          System/Console
URL:            https://people.redhat.com/~rjones/virt-what
Source0:        https://people.redhat.com/~rjones/%{name}/files/%{name}-%{version}.tar.gz
Source1:        https://people.redhat.com/~rjones/%{name}/files/%{name}-%{version}.tar.gz.sig
Source2:        %{name}.keyring
Requires:       util-linux
Requires:       which
%ifarch %{ix86} x86_64 aarch64 %arm
Requires:       dmidecode
%endif
# for pod2man
%if 0%{?suse_version}
BuildRequires:  perl
%else
BuildRequires:  perl-podlators
%endif

%description
This is a collection of scripts which you can use to work out what
sort of virtualization you are running inside.  Please read the manual
page virt-what(1) to find out how to use it.  This file is for
developers and people compiling from source.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%check
make %{?_smp_mflags} check

%files
%license COPYING
%doc README
%{_sbindir}/virt-what
%{_mandir}/man1/virt-what.1%{?ext_man}
%{_libexecdir}/virt-what-cpuid-helper

%changelog
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 1.25:
  * detect AWS arm virtual instance as kvm
  * google-cloud: Print "kvm" fact on aarch64 instances
  * illumos-lx: Fix test so it works under virtualization
  * Detect Illumos (SmartOS/OmniOS) LX virtualization
  * Add detection of Red Hat's hypervisor
  * Display kvm/qemu fact for Nutanix AHV
  * Add support for Alibaba Cloud Linux
  * Add support for VMware ESXi on ARM
  * aws: Match multi-digit version number in BIOS information
* Wed May 12 2021 Dirk Müller <dmueller@suse.com>
- update to 1.21:
  * Nutanix Acropolis Hypervisor detection
  * podman detection
* Mon Jan 27 2020 Martin Hauke <mardnh@gmx.de>
- Add "which" to Requires
  * Fixes boo#1161850, bsc#1176132
* Tue Jan 14 2020 Martin Hauke <mardnh@gmx.de>
- Version bump 1.20. No upstream changelog, see
  http://git.annexia.org/?p=virt-what.git;a=shortlog;h=refs/tags/v1.20
* Thu Feb 11 2016 mpluskal@suse.com
- Add gpg signature
- Tiny spec file cleanup
* Thu Nov 19 2015 tampakrap@opensuse.org
- Version bump 1.15. No upstream changelog, see
  http://git.annexia.org/?p=virt-what.git;a=shortlog;h=refs/tags/1.15
* Wed Aug 26 2015 dvaleev@suse.com
- Require dmidecode only on intel and ARM architectures
* Thu Nov 27 2014 tampakrap@opensuse.org
- cosmetics: run spec-cleaner, use 'make install'
- run tests
- install the license
* Fri Jun  6 2014 joop.boonen@opensuse.org
- Build version 1.14
  * Differentiate between vserver host and guest
  * Detect new Xen VMs (RHBZ#973663)
  * xen: Don't emit warning message if /proc/xen/capabilities file does not exist
  * Fix various typos and mistakes in comments
* Mon Dec 23 2013 kkaempf@suse.com
- Initial release 1.13
